Bug 1396790 - Review Request: gnome-shell-extension-freon - GNOME Shell extension to display system temperature, voltage, and fan speed
Summary: Review Request: gnome-shell-extension-freon - GNOME Shell extension to displa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 25
Hardware: noarch
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-20 07:15 UTC by Andrew Toskin
Modified: 2017-04-15 02:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-01 17:25:03 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Andrew Toskin 2016-11-20 07:15:27 UTC
Spec URL: https://gitlab.com/terrycloth/packaging-gnome-shell-extension-freon/raw/master/gnome-shell-extension-freon.spec

SRPM URL: https://andrew.tosk.in/tmp/gnome-shell-extension-freon-22-1.fc24.src.rpm

Description: Freon is forked from gnome-shell-extension-sensors. Freon is a GNOME Shell extension for displaying CPU temperature, hard disk or solid state temperatures, video card temperature (NVIDIA, Catalyst, and Bumblebee supported), power supply voltage, and fan RPM. You can choose which HDD/SSD or other devices to include, what temperature units to use, and how often to refresh the sensors readout, and they will appear in the GNOME Shell top bar.

Fedora Account System Username: terrycloth

Comment 1 Fabian Affolter 2016-11-21 07:02:07 UTC
$ wget https://gitlab.com/terrycloth/packaging-gnome-shell-extension-freon/raw/master/gnome-shell-extension-freon.spec
--2016-11-21 08:01:50--  https://gitlab.com/terrycloth/packaging-gnome-shell-extension-freon/raw/master/gnome-shell-extension-freon.spec
Resolving gitlab.com (gitlab.com)... 104.210.2.228
Connecting to gitlab.com (gitlab.com)|104.210.2.228|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2016-11-21 08:01:51 ERROR 404: Not Found.

Comment 2 Andrew Toskin 2016-12-01 23:29:03 UTC
Sorry, I'd accidentally set the project permissions to private instead of public. Should work now.

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-12-02 01:01:11 UTC
Please run fedora-review on this package. It flags quite a few issues.

Comment 6 Andrew Toskin 2017-02-22 07:19:33 UTC
Like one or a couple of my other pending review requests, one remaining issue from fedora-review says something about gschemas, but I don't entirely understand what it's trying to tell me to do:

    Issues:
    =======
    - glib-compile-schemas is run in %postun and %posttrans if package has
      *.gschema.xml files.
      Note: gschema file(s) in gnome-shell-extension-freon
      See:
      http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GSettings_Schema

Comment 7 Andrew Toskin 2017-02-22 07:47:37 UTC
I was thinking for a moment that maybe it's trying to say that I shouldn't run `glib-compile-schemas` myself, because it's automatically part of the %posttrans process?

But the spec does not actually compile *anything*, and there's no Makefile.

Comment 8 Andrew Toskin 2017-03-15 03:20:17 UTC
* Better locale detection, files moved to system directory.
* Moved gschema file to system directory.
* Demoted GNOME Tweak Tool from a Require to a Recommend.

Spec URL: https://gitlab.com/terrycloth/packaging-gnome-shell-extension-freon/raw/master/gnome-shell-extension-freon.spec

SRPM URL: https://andrew.tosk.in/tmp/gnome-shell-extension-freon-23-1.fc26.src.rpm

Comment 9 Zbigniew Jędrzejewski-Szmek 2017-03-16 14:14:16 UTC
If you look at the scriptlet description (http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GSettings_Schema), you'll see that this is only for Fedora <= 23. So that fedora-review advice is obsolete, in current Fedora versions there's nothing to do, and compilation is done through file triggers provided by some other package.

+ latest version
+ builds and installs and runs OK
+ license is acceptable (GPLv2)
+ license is specified correctly
+ package name is OK
+ no scriptlets needed
+ BR/R/P look correct
 
Package is APPROVED.

Comment 10 Gwyn Ciesla 2017-03-20 21:51:40 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/gnome-shell-extension-freon

Comment 11 Fedora Update System 2017-03-21 02:35:07 UTC
gnome-shell-extension-freon-23-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e00c7f74b8

Comment 12 Fedora Update System 2017-03-21 02:35:14 UTC
gnome-shell-extension-freon-23-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-611188e1d5

Comment 13 Fedora Update System 2017-03-21 02:35:18 UTC
gnome-shell-extension-freon-23-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dc08e27adc

Comment 14 Fedora Update System 2017-03-21 14:26:16 UTC
gnome-shell-extension-freon-23-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e00c7f74b8

Comment 15 Fedora Update System 2017-03-21 17:53:09 UTC
gnome-shell-extension-freon-23-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dc08e27adc

Comment 16 Fedora Update System 2017-03-21 17:54:57 UTC
gnome-shell-extension-freon-23-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-611188e1d5

Comment 17 Fedora Update System 2017-03-21 23:08:45 UTC
gnome-shell-extension-freon-23-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-13296bd01c

Comment 18 Fedora Update System 2017-03-21 23:08:53 UTC
gnome-shell-extension-freon-23-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6e4022c6bf

Comment 19 Fedora Update System 2017-03-21 23:08:58 UTC
gnome-shell-extension-freon-23-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f2d129a325

Comment 20 Fedora Update System 2017-03-21 23:09:04 UTC
gnome-shell-extension-freon-23-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d8da66111c

Comment 21 Fedora Update System 2017-03-22 15:28:38 UTC
gnome-shell-extension-freon-23-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d8da66111c

Comment 22 Fedora Update System 2017-03-22 19:21:48 UTC
gnome-shell-extension-freon-23-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-03-22 20:22:19 UTC
gnome-shell-extension-freon-23-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f2d129a325

Comment 24 Fedora Update System 2017-03-22 20:56:21 UTC
gnome-shell-extension-freon-23-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-13296bd01c

Comment 25 Fedora Update System 2017-03-23 01:50:08 UTC
gnome-shell-extension-freon-23-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6e4022c6bf

Comment 26 Fedora Update System 2017-03-28 00:13:19 UTC
gnome-shell-extension-freon-23-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2486ed920e

Comment 27 Fedora Update System 2017-03-28 00:13:28 UTC
gnome-shell-extension-freon-23-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e726bb2298

Comment 28 Fedora Update System 2017-03-28 00:13:34 UTC
gnome-shell-extension-freon-23-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cb3cb1f22d

Comment 29 Fedora Update System 2017-03-28 00:13:39 UTC
gnome-shell-extension-freon-23-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-021e8661c5

Comment 30 Fedora Update System 2017-03-28 17:53:59 UTC
gnome-shell-extension-freon-23-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e726bb2298

Comment 31 Fedora Update System 2017-03-29 03:18:49 UTC
gnome-shell-extension-freon-23-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cb3cb1f22d

Comment 32 Fedora Update System 2017-03-29 03:53:18 UTC
gnome-shell-extension-freon-23-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2486ed920e

Comment 33 Fedora Update System 2017-03-29 04:23:13 UTC
gnome-shell-extension-freon-23-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-021e8661c5

Comment 34 Fedora Update System 2017-03-29 21:54:30 UTC
gnome-shell-extension-freon-23-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c4da7f3ce

Comment 35 Fedora Update System 2017-03-29 21:54:42 UTC
gnome-shell-extension-freon-23-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-72c489ec6f

Comment 36 Fedora Update System 2017-03-29 21:54:52 UTC
gnome-shell-extension-freon-23-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-26d9463a92

Comment 37 Fedora Update System 2017-03-29 21:55:01 UTC
gnome-shell-extension-freon-23-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a336c1fef3

Comment 38 Fedora Update System 2017-03-30 18:52:50 UTC
gnome-shell-extension-freon-23-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-26d9463a92

Comment 39 Fedora Update System 2017-03-31 03:19:25 UTC
gnome-shell-extension-freon-23-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-72c489ec6f

Comment 40 Fedora Update System 2017-03-31 03:21:38 UTC
gnome-shell-extension-freon-23-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c4da7f3ce

Comment 41 Fedora Update System 2017-03-31 03:48:25 UTC
gnome-shell-extension-freon-23-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a336c1fef3

Comment 42 Fedora Update System 2017-04-01 17:25:03 UTC
gnome-shell-extension-freon-23-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 43 Fedora Update System 2017-04-04 16:04:15 UTC
gnome-shell-extension-freon-23-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 44 Fedora Update System 2017-04-09 02:53:25 UTC
gnome-shell-extension-freon-23-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 45 Fedora Update System 2017-04-09 10:19:20 UTC
gnome-shell-extension-freon-23-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 46 Fedora Update System 2017-04-15 02:49:23 UTC
gnome-shell-extension-freon-23-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.